//+------------------------------------------------------------------+
//|                                               DayColorSquare.mq4 |
//|                                                          Alex-W- |
//|                                                    Alex-W-@bk.ru |
//+------------------------------------------------------------------+
#property copyright "Alex-W-"
#property link      "Alex-W-@bk.ru"

#property indicator_chart_window
//--- input parameters
extern bool       Period_5M   = false;                   //            .
extern bool       Period_15M  = false;
extern bool       Period_30M  = false;
extern bool       Period_1H   = false;
extern bool       Period_4H   = false;
extern bool       Period_D    = false;
extern bool       Period_W    = false;
extern bool       Period_M    = false;
extern color      Color_1     = PeachPuff;               //  
extern color      Color_2     = Gainsboro;
extern int        HistoryDay = 100;                      //      .
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectsDeleteAll(0, OBJ_RECTANGLE);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
  
   int  DayBars, dx, OpenBarTime, CloseBarTime, ToDay, ToMonth, ToYear, per=0, numDay, pt, cx=0;
   double HightPrice, LowPrice;
   color c;
   string nameDay[7];
   bool interrupt = true;

//----

   nameDay[0] = "";
   nameDay[1] = "";
   nameDay[2] = "";
   nameDay[3] = "";
   nameDay[4] = "";
   nameDay[5] = "";
   nameDay[6] = "";
   
   dx = 0;
   
   if(Period_5M) {per = PERIOD_M5; cx++;}
   if(Period_15M) {per = PERIOD_M15; cx++;}
   if(Period_30M) {per = PERIOD_M30; cx++;}
   if(Period_1H) {per = PERIOD_H1; cx++;}
   if(Period_4H) {per = PERIOD_H4; cx++;}
   if(Period_D) {per = PERIOD_D1; cx++;}
   if(Period_W) {per = PERIOD_W1; cx++;}
   if(Period_M) {per = PERIOD_MN1; cx++;}

   if(per == 0){
      Print("***    . ***");
      interrupt = false;
   } else {
      if(cx > 1){
         Print("*** ,   1 . ***");
         interrupt = false;
      } else {
         if(Period() >= per) {
            Print("***       . ***");
            interrupt = false;
         }
      }
   }

   if(interrupt){
      while (dx <= HistoryDay)
      {
         OpenBarTime =  iTime(NULL, per, dx);         //    .
         CloseBarTime = OpenBarTime +(per * 60);      //    .
         HightPrice = iHigh(NULL, per, dx);           //    
         LowPrice = iLow(NULL, per, dx);              //    
      
         if ((dx % 2) == 0) c = Color_1;
         else c = Color_2;
      
         ToDay = TimeDay (OpenBarTime);         //   
         ToMonth = TimeMonth(OpenBarTime);      //    
         ToYear = TimeYear(OpenBarTime);        // 
         numDay = TimeDayOfWeek(OpenBarTime);   //    
         pt = (HightPrice - LowPrice) / Point;  //  
      
         ObjectCreate ("Squard_"+dx, OBJ_RECTANGLE, 0, OpenBarTime, HightPrice, CloseBarTime, LowPrice);
         ObjectSet ("Squard_"+dx, OBJPROP_COLOR, c);
         ObjectSetText ("Squard_"+dx, ToDay + "." + ToMonth + "." + ToYear + " " + nameDay[numDay]+"  "+ pt+" ", 8, "Times New Roman", Green);
       
      
         dx++;
      }
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+